"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RouteCamaraQr = void 0;
var _react = _interopRequireDefault(require("react"));
var _stack = require("@react-navigation/stack");
var _reactNative = require("react-native");
var _QrCamara = require("./QrCamara");
var _native = require("@react-navigation/native");
var _ValorPagar = require("../ValorPagar");
var _ConfirmarTransaccion = require("./ConfirmarTransaccion");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const RouteCamaraQr = () => {
  const Stack = (0, _stack.createStackNavigator)();
  const navigate = (0, _native.useNavigation)();
  const on = data => {
    console.log(data);
    let dataJson;
    try {
      dataJson = JSON.parse(data.data);
    } catch (e) {
      console.log('no es un json');
      dataJson = data.data;
    }
    console.log(dataJson["number"]);
    data.data && typeof dataJson === 'object' && dataJson.hasOwnProperty('number') ? navigate.navigate('ValorPagar', dataJson) : _reactNative.Alert.alert('Error', 'No es un codigo valido');
  };
  return /*#__PURE__*/_react.default.createElement(Stack.Navigator, {
    initialRouteName: "CodigoQr",
    screenOptions: {
      headerShown: false
    }
  }, /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: "CodigoQr"
  }, () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_QrCamara.CodigoQr, {
    on: on
  }))), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: "ValorPagar"
  }, () => {
    return /*#__PURE__*/_react.default.createElement(_ValorPagar.ValorPagar, null);
  }), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: "ConfirmarTransaccion"
  }, () => /*#__PURE__*/_react.default.createElement(_ConfirmarTransaccion.ConfirmarTransaccion, null)));
};
exports.RouteCamaraQr = RouteCamaraQr;
//# sourceMappingURL=RouteCamara.js.map