"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getUsuariotoPay = exports.getUserDeUna = exports.getHeaders = void 0;
var _axios = _interopRequireDefault(require("axios"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const getHeaders = token => {
  const headers = {
    Authorization: `Bearer ${token}`
  };
  return headers;
};
exports.getHeaders = getHeaders;
const getUserDeUna = async token => {
  try {
    const headers = getHeaders(token);
    const response = await _axios.default.get('http://ec2-3-228-2-53.compute-1.amazonaws.com:3000/allUser', {
      headers: headers
    });
    return response.data;
  } catch (err) {
    console.log(err.response.data);
    return err.response.data;
  }
};
exports.getUserDeUna = getUserDeUna;
const getUsuariotoPay = async (token, phone) => {
  try {
    const headers = getHeaders(token);
    const body = {
      "phone": phone
    };
    const response = await _axios.default.post(`http://ec2-3-228-2-53.compute-1.amazonaws.com:3000/getUserByPhone`, body, {
      headers: headers
    });
    if (response.data) {
      return response.data;
    }
    throw new Error("no existe datos");
  } catch (err) {
    throw new Error(err.response.data);
  }
};
exports.getUsuariotoPay = getUsuariotoPay;
//# sourceMappingURL=getUserDeUna.js.map