import React from 'react';
export interface IconoPropiedades {
    label: string;
    name: string;
    color?: string;
    size?: number;
}
export interface ComponenteIcono {
    name: string;
    component: React.FC;
    icono?: IconoPropiedades;
    prop?: object;
}
export type PropsDuna = {
    componentes: ComponenteIcono[];
    tok?: string | null;
    pasarToken?: (token: string | null | undefined | object) => void;
};
export type Props = {
    componentes: ComponenteIcono[];
};
export declare function NavigationContainerS({ componentes }: any): JSX.Element;
export declare function DeUnaNavigate({ componentes, tok, pasarToken }: PropsDuna): JSX.Element;
export declare const TabNavigation: ({ componentes }: Props) => JSX.Element;
//# sourceMappingURL=TabNavigation.d.ts.map