"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AuthProvider = void 0;
var _react = _interopRequireWildcard(require("react"));
var _AuthContext = require("./AuthContext");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const AUTH_INITIAL_STATE = {
  token: null
};
const AuthProvider = _ref => {
  let {
    children
  } = _ref;
  const [state, setState] = (0, _react.useState)(AUTH_INITIAL_STATE);
  const [dataBank, setDataBank] = (0, _react.useState)();
  const [dataUserCreditor, setDataUserCreditor] = (0, _react.useState)(null);
  const [isTransaccion, setIsTransaccion] = (0, _react.useState)(false);
  (0, _react.useEffect)(() => {
    if (state.token) {
      console.log(state.token);
    }
  }, [state.token]);
  const cargarUserCredit = dataCreditor => {
    setDataUserCreditor(dataCreditor);
  };
  const sendTransaccion = transaccion => {
    setIsTransaccion(transaccion);
  };
  const cargarToken = token => {
    setState({
      token
    });
  };
  return /*#__PURE__*/_react.default.createElement(_AuthContext.AuthContext.Provider, {
    value: {
      ...state,
      cargarToken,
      dataBank,
      setDataBank,
      dataUserCreditor,
      cargarUserCredit,
      sendTransaccion,
      isTransaccion
    }
  }, children);
};
exports.AuthProvider = AuthProvider;
//# sourceMappingURL=AuthProvider.js.map