import React from 'react';
import { View, Text, Pressable } from 'react-native';
import Icon from 'react-native-vector-icons/FontAwesome';
import { StyleSheet } from 'react-native';
import { useNavigation } from '@react-navigation/native';
export const QRFlotante = () => {
  const navigate = useNavigation();
  return /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => navigate.navigate("CamaraQrNavigate"),
    style: styles.container
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.cont
  }, " Escanear QR"), /*#__PURE__*/React.createElement(Icon, {
    name: "qrcode",
    size: 25,
    color: "white"
  })));
};
const styles = StyleSheet.create({
  cont: {
    color: 'white',
    fontWeight: 'bold',
    paddingRight: 10
  },
  container: {
    position: 'absolute',
    right: 15,
    bottom: 40,
    width: 160,
    height: 50,
    display: 'flex',
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: '#572364',
    borderRadius: 150
  }
});
//# sourceMappingURL=QRFlotante.js.map