import React, { useEffect } from 'react';
import { useState } from 'react';
import { AuthContext } from './AuthContext';
const AUTH_INITIAL_STATE = {
  token: null
};
export const AuthProvider = _ref => {
  let {
    children
  } = _ref;
  const [state, setState] = useState(AUTH_INITIAL_STATE);
  const [dataBank, setDataBank] = useState();
  const [dataUserCreditor, setDataUserCreditor] = useState(null);
  const [isTransaccion, setIsTransaccion] = useState(false);
  useEffect(() => {
    if (state.token) {
      console.log(state.token);
    }
  }, [state.token]);
  const cargarUserCredit = dataCreditor => {
    setDataUserCreditor(dataCreditor);
  };
  const sendTransaccion = transaccion => {
    setIsTransaccion(transaccion);
  };
  const cargarToken = token => {
    setState({
      token
    });
  };
  return /*#__PURE__*/React.createElement(AuthContext.Provider, {
    value: {
      ...state,
      cargarToken,
      dataBank,
      setDataBank,
      dataUserCreditor,
      cargarUserCredit,
      sendTransaccion,
      isTransaccion
    }
  }, children);
};
//# sourceMappingURL=AuthProvider.js.map