import { createContext } from 'react'
import { IDataUserBank } from 'src/interface/IDataUserBank';
  interface dataBank{
    dataBank:IDataUserBank|undefined,
    setDataBank:React.Dispatch<React.SetStateAction<IDataUserBank|undefined>>;
  }
  interface UserCostumer{
    dataUserCreditor:IDataUserBank|undefined|null,
    cargarUserCredit: (dataCreditor: IDataUserBank|undefined|null) => void;
  }
interface ContextProps extends dataBank ,UserCostumer {
    token: string | null;
    isTransaccion:Boolean;
    cargarToken: (token: string | null) => void;
    sendTransaccion:(transaccion:boolean)=>void
}

export const AuthContext = createContext({} as ContextProps)